/***********************************************************************
**                                                                    **
**  listing_6_6.c                                                     **
**                                                                    **
**  "Chinese Bulletin Boards". This program demonstrates the shadow   **
**  borders provided by XmBulletinBoard (and other managers), using   **
**  a series of "stacked" bulletin boards                             **
**                                                                    **
***********************************************************************/


#include <Xm/BulletinB.h>


Widget	appshell,			/* Application Shell	      */
	bb0, bb1, bb2, bb3, bb4;	/* The Bulletin Boards	      */


void main( argc, argv )
    int     argc;
    char    *argv[];
{
    appshell = XtInitialize( argv[0], "Listing_6_06", NULL, 0, &argc, argv );

    bb0 = XmCreateBulletinBoard( appshell, "BB0", NULL, 0 );
    XtManageChild( bb0 );

    bb1 = XmCreateBulletinBoard( bb0, "BB1", NULL, 0 );
    XtManageChild( bb1 );

    bb2 = XmCreateBulletinBoard( bb1, "BB2", NULL, 0 );
    XtManageChild( bb2 );

    bb3 = XmCreateBulletinBoard( bb2, "BB3", NULL, 0 );
    XtManageChild( bb3 );

    bb4 = XmCreateBulletinBoard( bb3, "BB4", NULL, 0 );
    XtManageChild( bb4 );

    XtRealizeWidget( appshell );
    XtMainLoop();
}
